"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SqlDatabaseV1 = void 0;
const actions = __importStar(require("./actions"));
class SqlDatabaseV1 {
    constructor(baseDescription) {
        this.description = {
            ...baseDescription,
            displayName: 'SQL Database',
            description: 'Connect to a database and execute queries',
            version: 1,
            defaults: {
                name: 'SQL Database',
            },
            inputs: ['main'],
            outputs: ['main'],
            credentials: [
                ...actions.credentials
            ],
            properties: [
                ...actions.properties
            ],
        };
    }
    async execute() {
        return actions.route.call(this);
    }
}
exports.SqlDatabaseV1 = SqlDatabaseV1;
//# sourceMappingURL=SqlDatabaseV1.node.js.map