"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getColumnTypeByValue = void 0;
const typeMap = [];
typeMap[2003] = 'Array';
typeMap[-5] = 'BigInt';
typeMap[-2] = 'BinaryStream';
typeMap[-7] = 'Boolean';
typeMap[2004] = 'Blob';
typeMap[16] = 'Boolean';
typeMap[1] = 'String';
typeMap[2005] = 'Clob';
typeMap[70] = 'URL';
typeMap[91] = 'Date';
typeMap[3] = 'BigDecimal';
typeMap[2001] = 'Object';
typeMap[8] = 'Double';
typeMap[6] = 'Float';
typeMap[4] = 'Int';
typeMap[2000] = 'Object';
typeMap[-16] = 'NString';
typeMap[-4] = 'BinaryStream';
typeMap[-1] = 'String';
typeMap[-15] = 'NString';
typeMap[2011] = 'NClob';
typeMap[0] = 'Object';
typeMap[2] = 'BigDecimal';
typeMap[-9] = 'NString';
typeMap[1111] = 'Object';
typeMap[7] = 'Float';
typeMap[2006] = 'Ref';
typeMap[-8] = 'RowId';
typeMap[5] = 'Short';
typeMap[2009] = 'SQLXML';
typeMap[2002] = 'Object';
typeMap[92] = 'Time';
typeMap[93] = 'Timestamp';
typeMap[-6] = 'Byte';
typeMap[-3] = 'BinaryStream';
typeMap[12] = 'String';
const getColumnTypeByValue = (typeValue) => typeMap[typeValue];
exports.getColumnTypeByValue = getColumnTypeByValue;
//# sourceMappingURL=sqltypes.js.map